ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Xavier Hanin <xavier.ha...@gmail.com>
Subject Re: Should I open a vote ? (Re: svn commit: r740252 - in /ant/ivy/updatesite/trunk/dist: ./ features/ plugins/)
Date Sun, 15 Feb 2009 18:11:50 GMT
On Sat, Feb 14, 2009 at 9:20 PM, Maarten Coene <maarten_coene@yahoo.com> wrote:
> Creating a 2.0.1 release is ok for me. I'm willing to create the release if no-one else
volunteers...
>
> I've taken a quick look at the changes in JIRA, I think IVY-970 contains the biggest
change, but I think we can include it in the new release (or is it too risky?)
I agree, I've reviewed the changes too and I think they are all ok to
be included in 2.0.1. IVY-970 is slightly bigger but only impact
buildnumber, and after a quick code review I don't expect any major
problem with it, so I'm fine to include it.

> And maybe we should also try to fix IVY-987 in the 2.0.1 release to improve our maven2
compatibility?
Indeed, this bug is giving bad feeling about Ivy maven 2
compatibility. I should be able to find some time this week to
investigate and hopefully find a fix. So if we all agree we could try
to plan making a release in a week or so, if this match your planned
availability Maarten.

Xavier

>
> Maarten
>
>
>
>
>
> ----- Original Message ----
> From: Xavier Hanin <xavier.hanin@gmail.com>
> To: Ant Developers List <dev@ant.apache.org>
> Sent: Wednesday, February 11, 2009 8:53:20 AM
> Subject: Re: Should I open a vote ? (Re: svn commit: r740252 - in  /ant/ivy/updatesite/trunk/dist:
./ features/ plugins/)
>
> On Tue, Feb 10, 2009 at 9:04 AM, Stefan Bodewig <bodewig@apache.org> wrote:
>> On 2009-02-10, Xavier Hanin <xavier.hanin@gmail.com> wrote:
>>
>>> On Tue, Feb 10, 2009 at 5:31 AM, Stefan Bodewig <bodewig@apache.org> wrote:
>>>> On 2009-02-09, Nicolas Lalevée <nicolas.lalevee@hibnet.org> wrote:
>>
>>>>>> So do I need to launch a vote for this Eclipse-packaging-fix release
?
>>
>>>> I'd create a minor version release (2.0.1 or even just 2.0.0.1) - and
>>>> vote as on any release.
>>> A minor version release of what? Ivy? IvyDE?
>>
>> Whatever it is that needs its packaging to be changed.
> Well, in this case we need a new packaging of Ivy eclipse feature,
> which is packaged when we release Ivy, so I guess we need to release
> Ivy itself. And if we release a new minor version of Ivy, I think
> people would be confused if we do not include some bug fixes which are
> currently on trunk. So I think it's a good opportunity to release Ivy
> 2.0.1, and discuss what we put in this release (what we merge from
> trunk to 2.0.x branch).
>
> WDYT?
>
> Xavier
>>
>> Stefan
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
>> For additional commands, e-mail: dev-help@ant.apache.org
>>
>>
>
>
>
> --
> Xavier Hanin - 4SH France
> BordeauxJUG co leader - http://www.bordeauxjug.org/
> Blogger - http://xhab.blogspot.com/
> Apache Ivy Creator - http://ant.apache.org/ivy/
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org
>
>



-- 
Xavier Hanin - 4SH France
BordeauxJUG co leader - http://www.bordeauxjug.org/
Blogger - http://xhab.blogspot.com/
Apache Ivy Creator - http://ant.apache.org/ivy/

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message